Name:          rinutils
Version:       0.10.3
Release:       %mkrel 1
Summary:       Shlomi Fish's gnu11 C Library of Random headers
License:       MIT
Group:         Development/C
URL:           https://github.com/shlomif/rinutils/
Source0:       https://github.com/shlomif/rinutils/releases/download/%{version}/%{name}-%{version}.tar.xz
# Header only pkg
BuildArch:     noarch

BuildRequires: cmake
BuildRequires: cmake(cmocka)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Env::Path)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Inline)
BuildRequires: perl(Inline::C)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::RunValgrind)
BuildRequires: perl(Test::TrailingSpace)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildRequires: python3
BuildRequires: valgrind

%description
Shlomi Fish's gnu11 C Library of Random headers.

%package devel
Summary:       Shlomi Fish's gnu11 C Library of Random headers
Group:         Development/C
Provides:      %{name}-devel = %{version}-%{release}
Provides:      lib%{name}-devel = %{version}-%{release}
Obsoletes:     librinutils-devel < 0.8.0-4
Obsoletes:     lib64rinutils-devel < 0.8.0-4
Obsoletes:     rinutils < 0.8.0-4
Provides:      %{name} = %{version}-%{release}

%description devel
Shlomi Fish's gnu11 C Library of Random headers.

%prep
%setup -q

%build
%cmake -DLOCALE_INSTALL_DIR=%{_datadir}/locale \
       -DINSTALL_TO_DATADIR=ON \
       -DWITH_TEST_SUITE=ON
%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%license LICENSE
%doc README.asciidoc NEWS.asciidoc
%{_includedir}/rinutils/
%{_datadir}/pkgconfig/*.pc
%{_datadir}/cmake/Rinutils/


%changelog
* Sat Jul 20 2024 daviddavid <daviddavid> 0.10.3-1.mga10
+ Revision: 2082135
- new version: 0.10.3

* Thu Apr 18 2024 daviddavid <daviddavid> 0.10.2-1.mga10
+ Revision: 2058819
- new version: 0.10.2
- make it noarch as a header only pkg

* Mon Apr 17 2023 daviddavid <daviddavid> 0.8.0-3.mga9
+ Revision: 1953447
- rebuild to fix libdir path in pkgconfig file
- fix devel name sub-pkg
- fix owner of include dir and cmake lib dir

* Thu Mar 31 2022 umeabot <umeabot> 0.8.0-2.mga9
+ Revision: 1837763
- Mageia 9 Mass Rebuild

* Mon Nov 30 2020 shlomif <shlomif> 0.8.0-1.mga8
+ Revision: 1650776
- New version 0.8.0

* Thu Sep 24 2020 shlomif <shlomif> 0.6.0-1.mga8
+ Revision: 1629794
- New version 0.6.0

* Mon Jul 20 2020 shlomif <shlomif> 0.4.1-1.mga8
+ Revision: 1607379
- New version 0.4.1

* Fri Mar 27 2020 shlomif <shlomif> 0.4.0-1.mga8
+ Revision: 1561023
- New version 0.4.0

* Tue Feb 18 2020 umeabot <umeabot> 0.2.0-2.mga8
+ Revision: 1541490
- Mageia 8 Mass Rebuild

* Sat Dec 28 2019 shlomif <shlomif> 0.2.0-1.mga8
+ Revision: 1474558
- remove failing test
- New version 0.2.0

* Fri Dec 06 2019 shlomif <shlomif> 0.1.4-1.mga8
+ Revision: 1464846
- New version 0.1.4

* Fri Dec 06 2019 shlomif <shlomif> 0.1.3-1.mga8
+ Revision: 1464841
- New version 0.1.3

* Sun Nov 17 2019 shlomif <shlomif> 0.1.1-1.mga8
+ Revision: 1461505
- rinutils from shlomif


* Sun Nov 17 2019 Shlomi Fish <shlomif@cpan.org> 0.1.1-1
- First version.
